Bug 242222

Summary: editors/neovim-qt: Update to 0.2.15
Product: Ports & Packages Reporter: chuck
Component: Individual Port(s)Assignee: Steve Wills <swills>
Status: Closed FIXED    
Severity: Affects Only Me Keywords: buildisok
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
port patch for 0.2.15 none

Description chuck 2019-11-25 13:24:40 UTC
Created attachment 209409 [details]
port patch for 0.2.15

Update to latest release on github. Fixes include:
 - QCommandLineParser geometry argument improvements
 - Fix Issue 585 Unknown font error neovim 0.4.2+
 - Fix FocusGained FocusLost autocmd missing nomodeline
Comment 1 Automation User 2019-11-25 14:11:58 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/98361106
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2019-11-26 03:46:37 UTC
Thank you for the report and patch Chuck

For this and future issues, please use the maintainer-approval attachment flag (set to +), to signify maintainer approval on a patch for ports you maintainer.

Attachment -> Details -> maintainer-approval [+], or this flag can be set during attachment/upload
Comment 3 chuck 2019-11-26 15:14:44 UTC
koobs@ thanks for the commit and I'll add the "maintainer approved" to my check list for next time.
Comment 4 commit-hook freebsd_committer 2020-01-06 13:41:45 UTC
A commit references this bug:

Author: swills
Date: Mon Jan  6 13:41:12 UTC 2020
New revision: 522228
URL: https://svnweb.freebsd.org/changeset/ports/522228

Log:
  editors/neovim-qt: Update to 0.2.15

  PR:		242222
  Submitted by:	chuck@tuffli.net (maintainer)

Changes:
  head/editors/neovim-qt/Makefile
  head/editors/neovim-qt/distinfo
Comment 5 Steve Wills freebsd_committer 2020-01-14 03:07:33 UTC
Committed, thanks!